GAMEFeatureSetHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.game.GAMEFeatureSetHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.game
Class GAMEFeatureSetHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game.StAXFeatureHandler
              org.biojava.bio.seq.io.game.GAMEFeatureSetHandler

All Implemented Interfaces:
  GAMENameCallbackItf, GAMETranscriptCallbackItf, StAXContentHandler

    public class GAMEFeatureSetHandler

extends StAXFeatureHandler
implements GAMENameCallbackItf, GAMETranscriptCallbackItf

Handles the <feature_set> element

Since:
  1.2
Author:
  David Huen

Field Summary
`static StAXHandlerFactory` | `GAME_FEATURESET_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.game.StAXFeatureHandler
`callbackStack, endLoc, featureListener, featureTemplate, stackLevel, startLoc`

Method Summary
`protected Feature.Template` | `createTemplate()` generates a very basic Template for the feature with SmallAnnotation in the annotation field.
`void` | `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler handler)` Element specific exit handler Subclass to do anything useful.
`void` | `NameSetStringValue(String s)` Callback implemented by nesting class to allow nested class to pass string to nesting class for handling.
`void` | `reportExon(RangeLocation range, StrandedFeature.Strand strand)` Allows nesting class that manages a transcript template to gain information about its extent from nested elements that represent exons.
`void` | `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.game.StAXFeatureHandler
`addHandler, endElement, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, setFeatureListener, setHandlerCharacteristics, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_FEATURESET_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_FEATURESET_HANDLER_FACTORY

Method Detail

### NameSetStringValue

    public void NameSetStringValue(String s)

  Description copied from interface: `GAMENameCallbackItf`
  Callback implemented by nesting class to allow nested class to pass string to nesting class for handling.

  Specified by:
    `NameSetStringValue` in interface `GAMENameCallbackItf`

### reportExon

    public void reportExon(RangeLocation range,
                           StrandedFeature.Strand strand)

  Description copied from interface: `GAMETranscriptCallbackItf`
  Allows nesting class that manages a transcript template to gain information about its extent from nested elements that represent exons.

  Specified by:
    `reportExon` in interface `GAMETranscriptCallbackItf`

### createTemplate

    protected Feature.Template createTemplate()

  Description copied from class: `StAXFeatureHandler`
  generates a very basic Template for the feature with SmallAnnotation in the annotation field.

  Override if you wish a more specialised Template.

  Overrides:
    `createTemplate` in class `StAXFeatureHandler`

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)
                             throws SAXException

  Description copied from class: `StAXFeatureHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXFeatureHandler`
  Throws:
    `SAXException`

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler handler)

  Description copied from class: `StAXFeatureHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXFeatureHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD